Subject: [OPSAWG] appeal on adoption of draft-ietf-opsawg-tacacs-00.txt as an opsawg topic

From: "Bradner, Scott" <[email-masked]>
Date: Fri, 12 Feb 2016 16:46:04 +0000

The chairs of the opsawg received an appeal from Alan DeKok on 11 February
2016 concerning the handling and possible disposition of
draft-ietf-opsawg-tacacs-00.txt (TACACS+). This message was a follow up of
a number of  email messages sent to the opsawg mailing list starting on 10
February.

The topics of the appeal and other messages from Mr. DeKok included:
1/ The adoption of the TACACS+ Internet Draft as a working group item.
2/ The appropriateness of publishing the TACACS+ Internet Draft as
a RFC through the IETF track.
3/ The appropriateness of publishing the TACACS+ Internet Draft as
a standards track RFC.

This memo concerns the first topic, the other two topics are proper topics
for a working group mailing list when an Internet Draft is under
consideration.

First some history:

After some initial confusion, the Internet Draft draft-grant-tacacs-00.txt
was published on 12 June 2015.  In an email message to the opsawg list
Doug Gash said:

" TACACS+ is a protocol widely deployed, based upon a draft specification
that Cisco submitted in 1998, but never completed to RFC status. The
original draft has been tidied and lightly enhanced and resubmitted, with
the intent to finally get it published as a standard."

He then followed up with an email message describing the updates to the
old ID.

1 July 2015: the OPS Ads put TACACS+ on the agenda for ops area session
during IETF 93

20 July 2015: The ops area session was held. The TACACS+ slides used
during the session are at:
https://www.ietf.org/proceedings/93/slides/slides-93-opsarea-2.pdf

Minutes of the session are quite sparse.  They note that the presentation
occurred and that Alan DeKok objected to the proposal.

The audio recording of the session is at:
https://www.ietf.org/audio/ietf93/ietf93-congresshalli-20150720-1740.mp3

The audio of the speakers and the commentators at the mic line are quite
clear but, unfortunately, the audio of the AD is unintelligible.   The
recording shows that there was little discussion of the merits of the
proposal other than Mr. DeKok's objections.  One of the chairs (Scott)
recalls that the AD did some form of assessment to gage interest in
working on the ID and found support.

2 October  2015:  updated ID published

4 October 2015:  Doug Gash sent note to opsawg list asking for opinions of
the list for publication

13 November 2015: Warren sent the following message asking for input on
the ID (
https://www.ietf.org/mail-archive/web/opsawg/current/msg04124.html)

Dear OpsAWG WG,

   We would really appreciate any feedback on this document. Personally I
   think it is really useful, but we need the WG to review and provide
   feedback.

   Over the years I've heard a number of people kvetch that TACACS+ isn't
   documented -- well, now you can, you know, actually do something about
   this...

   W

There were a number of responses in support of publication and the WG
working on the ID along with some technical discussion.

The chairs concluded that there was enough interest to adopt the ID as a
working group topic.

30 November: 2015: Warren sent the following message to the opsawg:
(for some reason this message does not show up in the archive but a copy is
appended to this message)

    The chairs believe that there is sufficient interest and support to adopt
    this document as an OpsAWG document.

    Authors, please resubmit as draft-ietf-opsawg-tacacs-01

16 December 2015 - renamed ID published

By asking the working group list for input on the question of adopting an
ID as a working group document the opsawg chairs followed one of the
normal IETF process to determine if there was enough interest for the
working group to adopt the TACACS+ ID as a working group topic.  We note
in passing that such another normal process is for the WG chairs to decide
on their own to adopt a document as a working group topic.  We also felt
that the topic was sufficiently within the working group charter to do so
without a specific charter update.

Thus Mr. DeKok's appeal as to the adoption of the ID as a working group
topic is rejected. If Mr. DeKok believes that this does not satisfy his
concerns, we refer him to RFC 2026, Section 6.5 for the next steps in the
appeal process.

Scott Bradner
Warren Kumari
12 February 2016

—-----------------------------
To: [email-masked]<mailto:[email-masked]>
Spamdiagnosticmetadata: 7460966b2fd248469deae02cb8f82730
Archived-At: <http://mailarchive.ietf.org/arch/msg/opsawg/1hB3Nkw1KcsSvrNlOcelGV2dJfM>
Sender: "OPSAWG" <[email-masked]<mailto:[email-masked]>>
Spamdiagnosticoutput: 1:2
Re: [OPSAWG] FW: New Version Notification for draft-dahm-opsawg-tacacs-01.txt

Dear OpsAWG,

The chairs believe that there is sufficient interest and support to adopt this document as an OpsAWG document.

Authors, please resubmit as draft-ietf-opsawg-tacacs-01

Working group:
We would like to see this document progress, and are hoping to WGLC it soon. Please review this and provide feedback....

W

On Fri, Nov 13, 2015 at 1:37 PM Warren Kumari <[email-masked]<mailto:[email-masked]>> wrote:
We would really appreciate any feedback on this document. Personally I
think it is really useful, but we need the WG to review and provide
feedback.

Over the years I've heard a number of people kvetch that TACACS+ isn't
documented -- well, now you can, you know, actually do something about
this...

W

On Sun, Oct 4, 2015 at 4:18 PM, Douglas Gash (dcmgash)
<[email-masked]<mailto:[email-masked]>> wrote:
> Dear Opsawg List,
>
> We have uploaded a second revision of the TACACS+ protocol specification
> which we believe is ready for publication subject subject to port
> allocation.
>
> Please see details below.
>
> The essential difference from the first revision is the change of TLS
> option support using a separate port as opposed to the original Start TLS
> mechanism.
>
> We would be very grateful for the opinion of the list regarding the
> suitability of document for publication as an RFC.
>
> Many thanks,
>
> Thorsten, Andrej, Doug.
>
>
> On 02/10/2015 16:25, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
> wrote:
>
>>
>>A new version of I-D, draft-dahm-opsawg-tacacs-01.txt
>>has been successfully submitted by Douglas C. Medway Gash and posted to
>>the
>>IETF repository.
>>
>>Name:          draft-dahm-opsawg-tacacs
>>Revision:      01
>>Title:         The TACACS+ Protocol
>>Document date: 2015-10-02
>>Group:         Individual Submission
>>Pages:         38
>>URL:
>>https://www.ietf.org/internet-drafts/draft-dahm-opsawg-tacacs-01.txt<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_internet-2Ddrafts_draft-2Ddahm-2Dopsawg-2Dtacacs-2D01.txt&d=CwMFaQ&c=WO-RGvefibhHBZq3fL85hQ&r=yqfP3H9W5MwHGwfujayvzw&m=d2zkbEKtM7zrJuQJ4PvYtvpZHG4hcvhucuhOb03y1AE&s=vyypsgLv4xU9ZRXKDc8Zkhvs5lCaHleFtGf5rjYk54w&e=>
>>Status:         https://datatracker.ietf.org/doc/draft-dahm-opsawg-tacacs/<https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Ddahm-2Dopsawg-2Dtacacs_&d=CwMFaQ&c=WO-RGvefibhHBZq3fL85hQ&r=yqfP3H9W5MwHGwfujayvzw&m=d2zkbEKtM7zrJuQJ4PvYtvpZHG4hcvhucuhOb03y1AE&s=pi2uoSR8CEuAJVZ_4dGTcROLb8CBvXY0-Xu3Esl7ajI&e=>
>>Htmlized:       https://tools.ietf.org/html/draft-dahm-opsawg-tacacs-01<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Ddahm-2Dopsawg-2Dtacacs-2D01&d=CwMFaQ&c=WO-RGvefibhHBZq3fL85hQ&r=yqfP3H9W5MwHGwfujayvzw&m=d2zkbEKtM7zrJuQJ4PvYtvpZHG4hcvhucuhOb03y1AE&s=Mzs24EJmK4LizQd9pZm60DGEU9VL8lPDu4g4M4seCNU&e=>
>>Diff:
>>https://www.ietf.org/rfcdiff?url2=draft-dahm-opsawg-tacacs-01<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_rfcdiff-3Furl2-3Ddraft-2Ddahm-2Dopsawg-2Dtacacs-2D01&d=CwMFaQ&c=WO-RGvefibhHBZq3fL85hQ&r=yqfP3H9W5MwHGwfujayvzw&m=d2zkbEKtM7zrJuQJ4PvYtvpZHG4hcvhucuhOb03y1AE&s=gzIvoARJGTdOsKUv-BGo6VrrLxiGpkldFxuGvErprD0&e=>
>>
>>Abstract:
>>   TACACS+ provides access control for routers, network access servers
>>   and other networked computing devices via one or more centralized
>>   servers.  TACACS+ provides separate authentication, authorization and
>>   accounting services.  This document describes the protocol that is
>>   used by TACACS+.
>>
>>
>>
>>
>>
>>Please note that it may take a couple of minutes from the time of
>>submission
>>until the htmlized version and diff are available at tools.ietf.org<https://urldefense.proofpoint.com/v2/url?u=http-3A__tools.ietf.org&d=CwMFaQ&c=WO-RGvefibhHBZq3fL85hQ&r=yqfP3H9W5MwHGwfujayvzw&m=d2zkbEKtM7zrJuQJ4PvYtvpZHG4hcvhucuhOb03y1AE&s=jP3VYysdEEmDassAUrlny4_ZYb4Y69qiZyK4_P6O0pQ&e=>.
>>
>>The IETF Secretariat
>>
>

--
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf
_______________________________________________
OPSAWG mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/opsawg

---

From: Stefan Winter <[email-masked]>
Date: Fri, 12 Feb 2016 18:16:31 +0100

Hello,

>     Authors, please resubmit as draft-ietf-opsawg-tacacs-01

This appears to be factually incorrect. My mail folder for opsawg has no
mail on the day of 30 Nov 2015. Given that the mail headers contain lots
of SPF: fail verdicts, I also checked my spam folder. Nothing.

If the mail is not in the archive, maybe it actually didn't reach a
significant fraction of the subscribers?

In that case, it should not come as a surprise that some people feel
like this was conducted in a ... strange... manner.

I do see Warren's mail from 13 Nov BTW, and that one has no SPF fail
headers (at least for me, that one did not look like an adoption call so
it missed my brain filter; but that's just me).

Maybe others could check their archives to see what has or has not
arrived on the list.

I would also appreciate if the actual reason why the archive did not
get/reject the message. "For some reason" is a bit too unspecific to be
useful IMHO...

Greetings,

Stefan Winter

> To: [email-masked] <mailto:[email-masked]> 
> X-Ms-Exchange-Transport-Endtoendlatency: 00:00:01.8093445
> X-Forefront-Antispam-Report:
> CIP:67.231.156.27;CTRY:US;IPV:CAL;IPV:NLI;EFV:NLI;SFV:SKN;SFS:;DIR:INB;SFP:;SCL:-1;SRVR:CY1PR0701MB1081;H:mx0b-00171101.pphosted.com
> <http://00171101.pphosted.com>;FPR:;SPF:None;LANG:en;
> X-Ms-Exchange-Crosstenant-Id: 6ffa22f4-4568-4105-ad43-2e3ad4726957
> List-Id: OPSA Working Group Mail List <opsawg.ietf.org
> <http://opsawg.ietf.org>>
> X-Exchange-Antispam-Report-Test: UriScan:(95692535739014);
> Archived-At:
> <http://mailarchive.ietf.org/arch/msg/opsawg/1hB3Nkw1KcsSvrNlOcelGV2dJfM>
> X-Virus-Scanned: amavisd-new at amsl.com <http://amsl.com>
> X-Ms-Exchange-Organization-Authsource: BN1BFFO11FD050.protection.gbl
> X-Google-Dkim-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
> d=1e100.net <http://1e100.net>; s=20130820;
> h=x-gm-message-state:mime-version:references:in-reply-to:from:date
> :message-id:subject:to:content-type;
> bh=IVgznUAN4dKW1K4utAu7lAyHiEF2oelqwEtycGC+OC4=;
> b=PsPRkLaCtAuWcQ9uh6l4qAyrI8koo4a5hbTbiJ+XC+FfQfvyF8xTabi2i41y4arQMJ
> YCg0o0IgxVGCcCMaeocHg7jl23rBlc5Q+SSSPyUNyNBS6plN8uTXGWruR487LFPDUJ/f
> PEFkyga3mSPU/LR3NqFJdZw1vxNt0JXQjXHt7cKfDfDGs1KD/yziL3aFWJWEDpD3iqAs
> 2Ez4z3anmkMVgLaxUTnQDf9sgPjwYNUlCRbgfoHSO/L9kKQprVQ9duUVdn7A+KmzHWGL
> WHtrG8QsySj8hj5J2Y1OJSFvyz3wBELGgQR/Xl4hGiyoGZdwL06RKvuO7FqoFHA/Kq5M
> sFAg==
> X-Ms-Exchange-Crosstenant-Originalarrivaltime: 01 Dec 2015
> 00:15:04.5170 (UTC)
> X-Proofpoint-Spam-Details: rule=notspam policy=default
> score=0 kscore.is <http://kscore.is>_bulkscore=0
> kscore.compositescore=1 compositescore=0.9 suspectscore=2
> malwarescore=0 phishscore=0 bulkscore=0 kscore.is
> <http://kscore.is>_spamscore=0 rbsscore=0.9 spamscore=0
> urlsuspectscore=0.9 adultscore=0 classifier=spam adjust=0 reason=mlx
> scancount=1 engine=8.0.1-1507310000 definitions=main-1512010002
> List-Help: <mailto:[email-masked]?subject=help>
> X-Ms-Exchange-Organization-Network-Message-Id:
> d55618f2-7475-4530-c456-08d2f9e47660
> List-Post: <mailto:[email-masked]>
> Authentication-Results: spf=fail (sender IP is 67.231.156.27)
> smtp.mailfrom=ietf.org <http://ietf.org>; harvard.edu
> <http://harvard.edu>; dkim=fail (body hash did not verify)
> header.d=ietf.org <http://ietf.org>;harvard.edu <http://harvard.edu>;
> dmarc=none action=none header.from=kumari.net <http://kumari.net>;
> X-Beenthere: [email-masked] <mailto:[email-masked]>
> Return-Path: [email-masked] <mailto:[email-masked]>
> References: <[email-masked]
> <mailto:[email-masked]>>
> <[email-masked] <mailto:[email-masked]>>
> <[email-masked]
> <mailto:[email-masked]>>
> Dkim-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=ietf.org
> <http://ietf.org>; s=ietf1; t=1448928901;
> bh=pvt1kSVXuErtfU5ZWISQikMRPQYfDp05mGMYsb+SFcI=;
> h=MIME-Version:References:In-Reply-To:From:Date:Message-ID:To:
> Subject:List-Id:List-Unsubscribe:List-Archive:List-Post:List-Help:
> List-Subscribe:Content-Type:Sender;
> b=ZRweO7Tp3Xq/v7MwtQY7Bq6Jbp5tU+2+++F0dEQALPEVXTbQ++h45JzxLZyES8ikI
> ok6ibFCR0Mkw1P1O6EQM3tIwQlLD6Xl1KnsDn74aUUD6RvQ+dD5P0gctrn1SuGiQ8T
> jY5RD5B1YE7gpvyMoEYoDve3GiDolWuuyclQFdko=
> Dkim-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
> d=kumari-net.20150623.gappssmtp.com
> <http://kumari-net.20150623.gappssmtp.com>; s=20150623;
> h=mime-version:references:in-reply-to:from:date:message-id:subject:to
> :content-type; bh=IVgznUAN4dKW1K4utAu7lAyHiEF2oelqwEtycGC+OC4=;
> b=tRm8MTHNrVMLwiQrHd7XMteT2khz1LCvlSrKQHk3ELC5CCOUKybfJUCUwVwxirEqnX
> fRpqiwO5pRPvSr+HyvnEf7e0RDpmxWnwne7H35NxkmMHpbxVQP+W15sB/NBcGkhpTc/J
> wS/tTGwxxOempxpXCkVwGZ08QXrfMtCk6BkzYWGWhAhpwmVO+JCpglvaZXe4kH7bhh5g
> hOAZJWp/uSzO/l1Fm27xgt57veT1LyZoIwQpcCRhzaA/jKOnfiUt0i4k07mc16U5LWoS
> x4Oa27VmHq1szNAU6hIwCqVJbgacuCB/+vjNM2SyOLuSBctWHJ5ldTY662XDkeBl7kNu
> YEAg==
> X-Matching-Connectors:
> 130934025046730165;(d93d0180-227e-457c-4499-08d2eaec9703,256b2f12-4edf-4bba-ca8a-08d1766a767f,4c2fb881-fd60-47c4-27de-08d1a9464aaf,d8bbbf0d-8e19-4272-9345-08d1b65cb793,751b4e9e-d4fb-44bf-a131-08d1dc9823e4,e0068ebf-014b-4c73-793a-08d2f1dcc743,ac01cf0c-e967-495c-3fa9-08d1e70141cd,2808f1c2-2c2f-483e-3d80-08d1dfb2fe99,f9e899bb-1cc2-41db-5fa0-08d071a1a76e,3dfa065d-6d09-41e4-03d6-08d1999434e1,8f72f349-eac7-4ca2-5909-08d1f4d6bd8f);(fc40b7b3-9d92-4bad-511b-08d1429671f0,f044a6d7-98b9-4c10-91b4-08d210413fe9,27bd2dba-e8c1-4f61-5bcb-08d2e63a1f24,6437d2a5-7830-487a-b613-08d2d5a0d354,d3806232-5d13-4149-28ff-08d1dec60473,dbc00d3f-cf39-4d73-fd34-08d1ba252138,9adb280f-4fbe-49ab-17ad-08d0c8b1feb2,70fb42a1-9688-41b6-d810-08d1b07b4924)
> Errors-To: [email-masked] <mailto:[email-masked]>
> Received-Spf: Fail (protection.outlook.com
> <http://protection.outlook.com>: domain of ietf.org
> <http://ietf.org> does not designate 67.231.156.27 as permitted
> sender) receiver=protection.outlook.com
> <http://protection.outlook.com>; client-ip=67.231.156.27;
> helo=mx0b-00171101.pphosted.com <http://mx0b-00171101.pphosted.com>;
> X-Microsoft-Exchange-Diagnostics:
> 1;BN1BFFO11FD050;1:7ZN9YK7xDF/YOFqgSF/Kt7SEuRl6m82TEEFS5pjj0L9WZ2XsjsoK06RHQoqp0zZJOqzHLsK7p62sRC/+dl0NHewnxWHjlYkFlErO0QxPu3bkMMMWFDL0D1gNkNNALQMEcCEwMN1E+sHfvWqfShtOpPbseWAIU0wFbf+THNAsZ0poUqywVPIeJRTJ27KhrMzdvfCBdIh8IvZ5UF+i5/30Lwu90TwhHBydQj9impHXhJzz6cchwyC+cZByHdxbhbkikaFU2ORf9xwBx/dwA6acnIYurcZxXE6rI4nl6Z+1j2pTmTRov/u+6965Gn47kV1qSjmeeWQq1+Jsqg0nQP0LqvWX6Cygd4/KgcYExishE7nivKVZq72r4lJb+0eaMswT/63GpfiTqVx21+UBx3NKvMulQSqG9Gizk6aBns/3BJrRmYi0j5iGr+dfbx0LymzdOdOFUfmgTIYGJGhjO701+aLnQHD7VrB1FBD2W7/zJiWnJr5rxHNe0uP28JUnb6+5lr/fewGEZZ4jImQ+RbfZbw==
> X-Microsoft-Exchange-Diagnostics:
> 1;CY1PR0701MB1081;2:W1i0t4PGHpWZpZGn0gwqccaOVv2u49nkFSof3JBlrQuQJwcKl9Y2wDeVl5A9iErzqOJItTyPziqfAt7KyGEax9rM95tiKtjcxgzwzjQjiqQFpGgTHF1Q/mY+w1og6GEQgS4XgMDljIAumw4tSpiQLA==;3:BKRbPmRM5q+4prHbMMl1pl1ZZ2tS0rVGiw7aEH1Cq7HPVNxaYdiJOPc4/BJYvodVY1vbr67qwwATIDtXfVie9db2RjBDjxQWPRY5zXwlnI582JvvSd3uxAI1YZzAFgcWkt7sCG2ZuD2Nym9vBxvHl7WD5sUdx2tr8izLC86dMugMDG0IyhzPFEfr9B0mswrrXtD3XPjkoCi/NAC/ihsDyV4LoM3/Kd4he2AayTNrxq7+itBmev+RI6m84iRRzIxuK/Qbd5vCfSbIsrCkmcxqVlgzXkMxrUazuheTQDsGM0gK2MaZaMTBhdk+8KyD4u2b;25:78MIti2YLv9i038KUTfSvspXHFS1JtJYQgWUyzyoiB4b3M+szJyih+58z81aUvYrNTmZCYWxeNbJxOqcSEnFD/tFLF7lEod2v8DhzNxAdXfJlAcv/35AqU99iwL0MzdeiGdV0hWIfIoVGEM6rn12InmNNZ5+H4mFspZlpFJBmC99ylYHhnYeRTvpCjhE26D9ry85Uq8vNQ7T7vG1qWT8sB8ZYFRgdnmOZlEZiDrmOMlFIc+4htsemKRufgfcZGhCaZM218PwPk9YqrrKaDAPNg==
> X-Microsoft-Exchange-Diagnostics:
> 1;CY1PR0701MB1081;20:PdLuCCyiCFshW0NdPnC8eBojhNvmPTsHv/4UFnq2/Ap13ChYozGcdEqkVUoCDgV6xCnbV2sch84G9YqciCrAqpBOC+P+Jadb/xWosqipDjCzZzQB38ah3V+4Bdnbm37aWs527QTdFX74o319rkRkpfQW5lZBUE/+akaLk3iPOSDGklLOcMMzk5E6MUkg1FCxeTSCRbEJI7C8Gcfkp4Z33sWwZ4l4nZsTryQjFNwUnKD35K3vVXCSTUr9mHEed86B;4:ZkdYP0b+reAAtcSPR/s6gs/4xtl2BduQqcuxMWhnPArjFsyI7D8qxhJzegLJImmIurwvGNuAuPAEBVnzfKk7Uk8KmXurz5VrNWWXz9H9kX5I2iSoY82hbOGqpxoKZN7ZvT4eNnkftfwEBBb6cJWbLX2wJr1GhZQStKHhnKOXCtnWTG1bCOsAlUFzO4fcQrK1871zmJYcVLFeXs2soxq6zRVidnUVx5aVcz1fbUW1pYYi7SVTmKUxHgDHpBlhE2M7IsQCf2/z8jspwHR2/Ca4QwfTsBOwrzlBeHryjxjGwDLah0Sq5W9fy5doXLWj6Zp5Hd+78AnQKQjTLJoJzeypO8JVtyeXqv0y/UpPjXENphbC674cRQEyEhoyLOWypuJeUP9XukINATvVEdgJnCHepkJSOHSZQea9zGKnTHazYjoG79eK1lsLgx2Uersmxtwz;23:4EKpER/Wex7l7yJjNu6NCf/OL8GUvFcTfH03V6f1kyvAD+1i3rMhMIMUTaS5RuFVEBIT+1hV2YemnNtNCejbQsscJK47MvrYffu1Y4FWysZHwmuW5Z8YY19Z55gg/bBjgeHwuc/ECiG+G54mZGKtdkuN1f6XkkJRlk9b5miEeMYyeSa/DeEi+1X+/69BTaHhVmdsOnEIiXOEmwKmURBUbA==
> X-Microsoft-Exchange-Diagnostics:
> 1;CY1PR0701MB1081;5:NDmSUNkFZijBwPfECIN39/nKL9SZpZQoXf83DdYdG6c6uqvKq9pFL11zCIluGBfbfr7j8GHWoHjCFpbx7VYG1+pJWsbw3uKmx12woMpxVU2oaxoV8Tb44v0zoaB1O2FhE9sZbcp5E+k+VFpjT7mxIQ==;24:oRXQcwEWxPCuqn5UAzNUq6ABuuvQYLIsu5IbtKyT8I8selWffYvnEZgXF6cORNZqS7B2xyDLy5FjzmcmEVLIXOyOiXuHI1QWDuagZnryAws=
> In-Reply-To:
> <[email-masked]
> <mailto:[email-masked]>>
> X-Dkimresult-Test: Failed
> X-Gm-Message-State:
> ALoCoQkPLNgOMt4FMOCWAKl2MLYDSZRuN/UoBjBSG0VRor2S+5FEJOJodLN/6r9gEZU0DpDM7xYa
> Content-Type: multipart/mixed;
> boundary="===============8087767435361866650=="
> X-Original-To: [email-masked] <mailto:[email-masked]>
> X-Exchange-Antispam-Report-Cfa-Test:
> BCL:7;PCL:0;RULEID:(601004)(7630046)(2401047)(520078)(8121501046)(7631046)(3002001)(10201501046);SRVR:CY1PR0701MB1081;BCL:7;PCL:0;RULEID:;SRVR:CY1PR0701MB1081;
> X-Ms-Exchange-Transport-Crosstenantheadersstamped: CY1PR0701MB1081
> X-Ms-Exchange-Organization-Authas: Anonymous
> X-Ms-Exchange-Organization-Avstamp-Service: 1.0
> X-Spam-Flag: NO
> X-Mailman-Version: 2.1.15
> List-Archive: <https://mailarchive.ietf.org/arch/browse/opsawg/>
> List-Unsubscribe: <https://www.ietf.org/mailman/options/opsawg>,
> <mailto:[email-masked]?subject=unsubscribe>
> Precedence: list
> Delivered-To: [email-masked] <mailto:[email-masked]>
> X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10432:,,
> definitions=2015-11-30_09:,, signatures=0
> X-Spam-Level: 
> X-Ms-Exchange-Crosstenant-Fromentityheader: Internet
> X-Microsoft-Antispam:
> UriScan:;BCL:7;PCL:0;RULEID:(421252001)(3002015)(71701003)(71702001);SRVR:CY1PR0701MB1081;
> X-Eopattributedmessage: 0
> Received: from CY1PR0701MB1081.namprd07.prod.outlook.com
> <http://cy1pr0701mb1081.namprd07.prod.outlook.com> (10.160.145.153)
> by CY1PR0701MB1082.namprd07.prod.outlook.com
> <http://cy1pr0701mb1082.namprd07.prod.outlook.com> (10.160.145.154)
> with Microsoft SMTP Server (TLS) id 15.1.331.20 via Mailbox Transport;
> Tue, 1 Dec 2015 00:15:06 +0000
> Received: from BY2PR07CA054.namprd07.prod.outlook.com
> <http://by2pr07ca054.namprd07.prod.outlook.com> (10.141.251.29)
> by CY1PR0701MB1081.namprd07.prod.outlook.com
> <http://cy1pr0701mb1081.namprd07.prod.outlook.com> (10.160.145.153)
> with Microsoft SMTP Server (TLS) id 15.1.331.20; Tue, 1 Dec 2015
> 00:15:05 +0000
> Received: from BN1BFFO11FD050.protection.gbl
> (2a01:111:f400:7c10::1:171) by BY2PR07CA054.outlook.office365.com
> <http://by2pr07ca054.outlook.office365.com> (2a01:111:e400:2c61::29)
> with Microsoft SMTP Server (TLS) id 15.1.331.20 via Frontend
> Transport; Tue, 1 Dec 2015 00:15:04 +0000
> Received: from mx0b-00171101.pphosted.com
> <http://mx0b-00171101.pphosted.com> (67.231.156.27)
> by BN1BFFO11FD050.mail.protection.outlook.com
> <http://bn1bffo11fd050.mail.protection.outlook.com> (10.58.145.5) with
> Microsoft SMTP Server (TLS) id 15.1.331.11 via Frontend Transport;
> Tue, 1 Dec 2015 00:15:04 +0000
> Received: from pps.filterd (m0044905.ppops.net
> <http://m0044905.ppops.net> [127.0.0.1]) by mx0b-00171101.pphosted.com
> <http://mx0b-00171101.pphosted.com> (8.15.0.59/8.15.0.59) with SMTP id
> tB10BRUI022328 for <[email-masked] <mailto:[email-masked]>>; Mon, 30
> Nov 2015 19:15:04 -0500
> Received: from mail.ietf.org <http://mail.ietf.org> (mail.ietf.org
> <http://mail.ietf.org> [4.31.198.44]) by mx0b-00171101.pphosted.com
> <http://mx0b-00171101.pphosted.com> with ESMTP id 1yf8kh97s0-1
> (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256
> verify=NOT) for <[email-masked] <mailto:[email-masked]>>; Mon, 30
> Nov 2015 19:15:03 -0500
> Received: from ietfa.amsl.com <http://ietfa.amsl.com> (localhost
> [IPv6:::1]) by ietfa.amsl.com <http://ietfa.amsl.com> (Postfix) with
> ESMTP id 7B50F1B2AF2; Mon, 30 Nov 2015 16:15:01 -0800 (PST)
> Received: from localhost (ietfa.amsl.com
> <http://ietfa.amsl.com> [127.0.0.1]) by ietfa.amsl.com
> <http://ietfa.amsl.com> (Postfix) with ESMTP id E30B81B33B1 for
> <[email-masked] <mailto:[email-masked]>>; Mon, 30 Nov
> 2015 16:15:00 -0800 (PST)
> Received: from mail.ietf.org <http://mail.ietf.org> ([4.31.198.44]) by
> localhost (ietfa.amsl.com <http://ietfa.amsl.com> [127.0.0.1])
> (amavisd-new, port 10024) with ESMTP id PAKUO7m6pu7B for
> <[email-masked] <mailto:[email-masked]>>; Mon, 30 Nov
> 2015 16:14:59 -0800 (PST)
> Received: from mail-yk0-x22c.google.com
> <http://mail-yk0-x22c.google.com> (mail-yk0-x22c.google.com
> <http://mail-yk0-x22c.google.com> [IPv6:2607:f8b0:4002:c07::22c])
> (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
> (No client certificate requested) by ietfa.amsl.com
> <http://ietfa.amsl.com> (Postfix) with ESMTPS id F170D1B2AF2 for
> <[email-masked] <mailto:[email-masked]>>; Mon, 30 Nov 2015 16:14:58
> -0800 (PST)
> Received: by ykdr82 with SMTP id r82so204978015ykd.3 for
> <[email-masked] <mailto:[email-masked]>>; Mon, 30 Nov 2015 16:14:58
> -0800 (PST)
> X-Spam-Status: No, score=-1.277 tagged_above=-999 required=5
> tests=[BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
> FM_FORGED_GMAIL=0.622, HTML_MESSAGE=0.001] autolearn=no
> X-Ms-Exchange-Organization-Messagedirectionality: Incoming
> X-Ms-Exchange-Organization-Scl: -1
> X-Received: by 10.129.93.133 with SMTP id
> r127mr54962501ywb.109.1448928898116;  Mon, 30 Nov 2015 16:14:58 -0800
> (PST)
> Message-Id:
> <[email-masked]
> <mailto:[email-masked]>>
> Mime-Version: 1.0
> X-Spam-Score: -1.277
> List-Subscribe: <https://www.ietf.org/mailman/listinfo/opsawg>,
> <mailto:[email-masked]?subject=subscribe>
> The chairs believe that there is sufficient interest and support to
> adopt this document as an OpsAWG document.
>
> We would like to see this document progress, and are hoping to WGLC it
> soon. Please review this and provide feedback....
>
> W
>
>     <[email-masked] <mailto:[email-masked]>> wrote:
>     > Dear Opsawg List,
>     >
>     > On 02/10/2015 16:25, "[email-masked]
>     <mailto:[email-masked]>" <[email-masked]
>     <mailto:[email-masked]>>
>     > wrote:
>     >
>     >>
>     >>https://www.ietf.org/internet-drafts/draft-dahm-opsawg-tacacs-01.txt
>     <https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_internet-2Ddrafts_draft-2Ddahm-2Dopsawg-2Dtacacs-2D01.txt&d=CwMFaQ&c=WO-RGvefibhHBZq3fL85hQ&r=yqfP3H9W5MwHGwfujayvzw&m=d2zkbEKtM7zrJuQJ4PvYtvpZHG4hcvhucuhOb03y1AE&s=vyypsgLv4xU9ZRXKDc8Zkhvs5lCaHleFtGf5rjYk54w&e=>
>     >>Status:       
>      https://datatracker.ietf.org/doc/draft-dahm-opsawg-tacacs/
>     <https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Ddahm-2Dopsawg-2Dtacacs_&d=CwMFaQ&c=WO-RGvefibhHBZq3fL85hQ&r=yqfP3H9W5MwHGwfujayvzw&m=d2zkbEKtM7zrJuQJ4PvYtvpZHG4hcvhucuhOb03y1AE&s=pi2uoSR8CEuAJVZ_4dGTcROLb8CBvXY0-Xu3Esl7ajI&e=>
>     >>Htmlized:     
>      https://tools.ietf.org/html/draft-dahm-opsawg-tacacs-01
>     <https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Ddahm-2Dopsawg-2Dtacacs-2D01&d=CwMFaQ&c=WO-RGvefibhHBZq3fL85hQ&r=yqfP3H9W5MwHGwfujayvzw&m=d2zkbEKtM7zrJuQJ4PvYtvpZHG4hcvhucuhOb03y1AE&s=Mzs24EJmK4LizQd9pZm60DGEU9VL8lPDu4g4M4seCNU&e=>
>     >>Diff:
>     >>https://www.ietf.org/rfcdiff?url2=draft-dahm-opsawg-tacacs-01
>     <https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_rfcdiff-3Furl2-3Ddraft-2Ddahm-2Dopsawg-2Dtacacs-2D01&d=CwMFaQ&c=WO-RGvefibhHBZq3fL85hQ&r=yqfP3H9W5MwHGwfujayvzw&m=d2zkbEKtM7zrJuQJ4PvYtvpZHG4hcvhucuhOb03y1AE&s=gzIvoARJGTdOsKUv-BGo6VrrLxiGpkldFxuGvErprD0&e=>
>     >>
>     >>Abstract:
>     >>until the htmlized version and diff are available
>     at tools.ietf.org
>     <https://urldefense.proofpoint.com/v2/url?u=http-3A__tools.ietf.org&d=CwMFaQ&c=WO-RGvefibhHBZq3fL85hQ&r=yqfP3H9W5MwHGwfujayvzw&m=d2zkbEKtM7zrJuQJ4PvYtvpZHG4hcvhucuhOb03y1AE&s=jP3VYysdEEmDassAUrlny4_ZYb4Y69qiZyK4_P6O0pQ&e=>.
>     >>
>     >>The IETF Secretariat
>     >>
>     >
>
>
>
>     --
> [email-masked] <mailto:[email-masked]>
> [email-masked]

---

From: joel jaeggli <[email-masked]>
Date: Fri, 12 Feb 2016 09:29:36 -0800

> of SPF: fail verdicts, I also checked my spam folder. Nothing.

Return-Path: <[email-masked]>
X-Spam-Checker-Version: SpamAssassin 3.4.1 (2015-04-28) on
nagasaki.bogus.com
ALoCoQkPLNgOMt4FMOCWAKl2MLYDSZRuN/UoBjBSG0VRor2S+5FEJOJodLN/6r9gEZU0DpDM7xYa
X-Received: by 10.129.93.133 with SMTP id
r127mr54962501ywb.109.1448928898116;
 Mon, 30 Nov 2015 16:14:58 -0800 (PST)
MIME-Version: 1.0
References: <[email-masked]>
 <[email-masked]>
 <[email-masked]>
In-Reply-To:
<[email-masked]>
From: Warren Kumari <[email-masked]>
Date: Tue, 01 Dec 2015 00:14:48 +0000
Message-ID:
<[email-masked]>
To: "[email-masked]" <[email-masked]>
Archived-At:
<http://mailarchive.ietf.org/arch/msg/opsawg/1hB3Nkw1KcsSvrNlOcelGV2dJfM>
Subject: Re: [OPSAWG] FW: New Version Notification for
	draft-dahm-opsawg-tacacs-01.txt
X-BeenThere: [email-masked]
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: OPSA Working Group Mail List <opsawg.ietf.org>
List-Unsubscribe: <https://www.ietf.org/mailman/options/opsawg>,
 <mailto:[email-masked]?subject=unsubscribe>
List-Archive: <https://mailarchive.ietf.org/arch/browse/opsawg/>
List-Post: <mailto:[email-masked]>
List-Help: <mailto:[email-masked]?subject=help>
List-Subscribe: <https://www.ietf.org/mailman/listinfo/opsawg>,
 <mailto:[email-masked]?subject=subscribe>
Content-Type: multipart/mixed;
boundary="===============8087767435361866650=="
Errors-To: [email-masked]
Sender: "OPSAWG" <[email-masked]>

--===============8087767435361866650==
Content-Type: multipart/alternative; boundary=001a114d8bc64720290525cb0ced

--001a114d8bc64720290525cb0ced
Content-Type: text/plain; charset=UTF-8

Dear OpsAWG,

Working group:

W

On Fri, Nov 13, 2015 at 1:37 PM Warren Kumari <[email-masked]> wrote:

> <[email-masked]> wrote:
> > Dear Opsawg List,
> >
> > On 02/10/2015 16:25, "[email-masked]" <
> [email-masked]>
> > wrote:
> >
> >>
> >>Htmlized:       https://tools.ietf.org/html/draft-dahm-opsawg-tacacs-01
> >>Diff:
> >>until the htmlized version and diff are available at tools.ietf.org.
> >>
> >>The IETF Secretariat
> >>
> >
>
>
>
> --

--001a114d8bc64720290525cb0ced
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Dear OpsAWG,<div><br></div><div>The chairs believe that th=
ere is sufficient interest and support to adopt this document as an OpsAWG =
document.</div><div><br></div><div>Authors, please resubmit as=C2=A0draft-i=
etf-opsawg-tacacs-01<br><br>Working group:=C2=A0</div><div>We would like to=
 see this document progress, and are hoping to WGLC it soon. Please review =
this and provide feedback....</div><div><br></div><div>W<br><br><div class=
=3D"gmail_quote"><div dir=3D"ltr">On Fri, Nov 13, 2015 at 1:37 PM Warren Ku=
mari &lt;<a href=3D"mailto:[email-masked]">[email-masked]</a>&gt; wro=
te:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;b=
order-left:1px #ccc solid;padding-left:1ex">We would really appreciate any =
feedback on this document. Personally I<br>
think it is really useful, but we need the WG to review and provide<br>
feedback.<br>
<br>
Over the years I&#39;ve heard a number of people kvetch that TACACS+ isn&#3=
9;t<br>
documented -- well, now you can, you know, actually do something about<br>
this...<br>
<br>
W<br>
<br>
On Sun, Oct 4, 2015 at 4:18 PM, Douglas Gash (dcmgash)<br>
&lt;<a href=3D"mailto:[email-masked]" target=3D"_blank">[email-masked]=
m</a>&gt; wrote:<br>
&gt; Dear Opsawg List,<br>
&gt;<br>
&gt; We have uploaded a second revision of the TACACS+ protocol specificati=
on<br>
&gt; which we believe is ready for publication subject subject to port<br>
&gt; allocation.<br>
&gt;<br>
&gt; Please see details below.<br>
&gt;<br>
&gt; The essential difference from the first revision is the change of TLS<=
br>
&gt; option support using a separate port as opposed to the original Start =
TLS<br>
&gt; mechanism.<br>
&gt;<br>
&gt; We would be very grateful for the opinion of the list regarding the<br=
&gt; suitability of document for publication as an RFC.<br>
&gt;<br>
&gt; Many thanks,<br>
&gt;<br>
&gt; Thorsten, Andrej, Doug.<br>
&gt;<br>
&gt;<br>
&gt; On 02/10/2015 16:25, &quot;<a href=3D"mailto:[email-masked]"=
 target=3D"_blank">[email-masked]</a>&quot; &lt;<a href=3D"mailto=
:[email-masked]" target=3D"_blank">[email-masked]</a>&g=
t;<br>
&gt; wrote:<br>
&gt;<br>
&gt;&gt;<br>
&gt;&gt;A new version of I-D, draft-dahm-opsawg-tacacs-01.txt<br>
&gt;&gt;has been successfully submitted by Douglas C. Medway Gash and poste=
d to<br>
&gt;&gt;the<br>
&gt;&gt;IETF repository.<br>
&gt;&gt;<br>
&gt;&gt;Name:=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 draft-dahm-opsawg-tacacs<br=
&gt;&gt;Revision:=C2=A0 =C2=A0 =C2=A0 01<br>
&gt;&gt;Title:=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0The TACACS+ Protocol<br>
&gt;&gt;Document date: 2015-10-02<br>
&gt;&gt;Group:=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0Individual Submission<br>
&gt;&gt;Pages:=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A038<br>
&gt;&gt;URL:<br>
&gt;&gt;<a href=3D"https://www.ietf.org/internet-drafts/draft-dahm-opsawg-t=
acacs-01.txt" rel=3D"noreferrer" target=3D"_blank">https://www.ietf.org/int=
ernet-drafts/draft-dahm-opsawg-tacacs-01.txt</a><br>
&gt;&gt;Status:=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0<a href=3D"https://datatra=
cker.ietf.org/doc/draft-dahm-opsawg-tacacs/" rel=3D"noreferrer" target=3D"_=
blank">https://datatracker.ietf.org/doc/draft-dahm-opsawg-tacacs/</a><br>
&gt;&gt;Htmlized:=C2=A0 =C2=A0 =C2=A0 =C2=A0<a href=3D"https://tools.ietf.o=
rg/html/draft-dahm-opsawg-tacacs-01" rel=3D"noreferrer" target=3D"_blank">h=
ttps://tools.ietf.org/html/draft-dahm-opsawg-tacacs-01</a><br>
&gt;&gt;Diff:<br>
&gt;&gt;<a href=3D"https://www.ietf.org/rfcdiff?url2=3Ddraft-dahm-opsawg-ta=
cacs-01" rel=3D"noreferrer" target=3D"_blank">https://www.ietf.org/rfcdiff?=
url2=3Ddraft-dahm-opsawg-tacacs-01</a><br>
&gt;&gt;<br>
&gt;&gt;Abstract:<br>
&gt;&gt;=C2=A0 =C2=A0TACACS+ provides access control for routers, network a=
ccess servers<br>
&gt;&gt;=C2=A0 =C2=A0and other networked computing devices via one or more =
centralized<br>
&gt;&gt;=C2=A0 =C2=A0servers.=C2=A0 TACACS+ provides separate authenticatio=
n, authorization and<br>
&gt;&gt;=C2=A0 =C2=A0accounting services.=C2=A0 This document describes the=
 protocol that is<br>
&gt;&gt;=C2=A0 =C2=A0used by TACACS+.<br>
&gt;&gt;<br>
&gt;&gt;<br>
&gt;&gt;<br>
&gt;&gt;<br>
&gt;&gt;<br>
&gt;&gt;Please note that it may take a couple of minutes from the time of<b=
r>
&gt;&gt;submission<br>
&gt;&gt;until the htmlized version and diff are available at <a href=3D"htt=
p://tools.ietf.org" rel=3D"noreferrer" target=3D"_blank">tools.ietf.org</a>=
.<br>
&gt;&gt;<br>
&gt;&gt;The IETF Secretariat<br>
&gt;&gt;<br>
&gt;<br>
<br>
<br>
<br>
--<br>
I don&#39;t think the execution is relevant when it was obviously a bad<br>
idea in the first place.<br>
This is like putting rabid weasels in your pants, and later expressing<br>
regret at having chosen those particular rabid weasels and that pair<br>
of pants.<br>
=C2=A0 =C2=A0---maf<br>
</blockquote></div></div></div>

--001a114d8bc64720290525cb0ced--

--===============8087767435361866650==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

--===============8087767435361866650==--

>> <<mailto:[email-masked]>[email-masked]>; Mon, 30 Nov
>> <<mailto:[email-masked]>[email-masked]>; Mon, 30 Nov 2015 16:14:58
>> -0800 (PST)

---

From: Stefan Winter <[email-masked]>
Date: Fri, 12 Feb 2016 18:40:46 +0100

Hi,

>     Authors, please resubmit as draft-ietf-opsawg-tacacs-01

Argh. It would help to indicate time zones in this... the mail arrived
just fine on 01 Dec! (CET).

Stefan

---

From: Alan DeKok <[email-masked]>
Date: Mon, 15 Feb 2016 17:33:58 -0500

Some corrections.

> 1/ The adoption of the TACACS+ Internet Draft as a working group item.

  My appeal concerned the *process* of adoption as a WG item.

> a RFC through the IETF track.

  My comments at the time of the appeal show that I support publishing historical TACACS+ protocol as an informational RFC, via the OPSAWG

> 3/ The appropriateness of publishing the TACACS+ Internet Draft as

  My comments at the time of the appeal  show that I support publishing the *changed* (i.e. future) TACACS+ as a standards track RFC.

  I do not support publishing the historical TACACS+ protocol as a standards track RFC.

> occurred and that Alan DeKok objected to the proposal.

  I don't see copy of the minutes on the WG mailing list archives.  They aren't on the WG page at:

https://datatracker.ietf.org/wg/opsawg/meetings/

  Alan DeKok.

---

From: "Bradner, Scott" <[email-masked]>
Date: Mon, 15 Feb 2016 22:37:34 +0000

the minutes (such as they are) are included in the proceedings

https://www.ietf.org/proceedings/93/minutes/minutes-93-opsarea

Scott

> On Feb 15, 2016, at 5:33 PM, Alan DeKok <[email-masked]> wrote:
> 
>  Some corrections.
>

---

From: "Bradner, Scott" <[email-masked]>
Date: Mon, 15 Feb 2016 23:16:32 +0000

ps - the session was in the ops area meeting, which is why the minutes are not on the opsawg list

Scott

---

From: joel jaeggli <[email-masked]>
Date: Mon, 15 Feb 2016 20:18:13 -0800

> ps - the session was in the ops area meeting, which is why the minutes are not on the opsawg list

Joint meetings have the property of occupying one slot. that  may be a
tooling problem but satisfies the proceedings reporting in it's current
form.